BLAS/SRC/sasum.f(3)

NAME
BLAS/SRC/sasum.f

SYNOPSIS

  Functions/Subroutines
real function sasum (n, sx, incx)
SASUM

Function/Subroutine Documentation

  real function sasum (integer n, real, dimension(*) sx, integer incx)

SASUM

Purpose:

        SASUM takes the sum of the absolute values.
        uses unrolled loops for increment equal to one.

Parameters
    N

              N is INTEGER
             number of elements in input vector(s)

    SX

              SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 71 of file sasum.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.